"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readConfigFile = void 0;
const debug_1 = __importDefault(require("debug"));
const lilconfig_1 = require("lilconfig");
const debug = (0, debug_1.default)('midnight-smoker:config');
async function loadEsm(filepath) {
    return import(filepath);
}
const DEFAULT_OPTS = Object.freeze({
    loaders: { '.mjs': loadEsm, '.js': loadEsm },
    searchPlaces: [
        'package.json',
        '.smokerrc.json',
        '.smokerrc.js',
        '.smokerrc.cjs',
        '.smokerrc.mjs',
        'smoker.config.json',
        'smoker.config.js',
        'smoker.config.cjs',
        'smoker.config.mjs',
        '.config/smokerrc.json',
        '.config/smokerrc.js',
        '.config/smokerrc.cjs',
        '.config/smokerrc.mjs',
        '.config/smoker.config.json',
        '.config/smoker.config.js',
        '.config/smoker.config.cjs',
        '.config/smoker.config.mjs',
    ],
});
async function readConfigFile() {
    const result = await (0, lilconfig_1.lilconfig)('smoker', DEFAULT_OPTS).search();
    let opts = {};
    if (result?.config && !result.config.isEmpty) {
        debug('Found config at %s', result.filepath);
        opts = result.config;
        // I love ESM, really I do
        if ('default' in opts) {
            opts = opts.default;
        }
    }
    return opts;
}
exports.readConfigFile = readConfigFile;
//# sourceMappingURL=config-file.js.map