import z from 'zod';
/**
 * @internal
 */
export declare const DEFAULT_PACKAGE_MANAGER_ID = "npm@latest";
export declare const zRawSmokerOptions: z.ZodObject<{
    add: z.ZodEffects<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>, string[], string | string[] | undefined>;
    all: z.ZodDefault<z.ZodBoolean>;
    bail: z.ZodDefault<z.ZodBoolean>;
    includeRoot: z.ZodDefault<z.ZodBoolean>;
    json: z.ZodDefault<z.ZodBoolean>;
    linger: z.ZodDefault<z.ZodBoolean>;
    verbose: z.ZodDefault<z.ZodBoolean>;
    workspace: z.ZodEffects<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>, string[], string | string[] | undefined>;
    pm: z.ZodDefault<z.ZodEffects<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>, string[], string | string[] | undefined>>;
    script: z.ZodEffects<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>, string[], string | string[] | undefined>;
    scripts: z.ZodEffects<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>, string[], string | string[] | undefined>;
    loose: z.ZodDefault<z.ZodBoolean>;
    checks: z.ZodDefault<z.ZodBoolean>;
    rules: z.ZodDefault<z.ZodObject<{
        "no-banned-files": z.ZodUnion<[z.ZodEffects<z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>, {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        }, "error" | "warn" | "off" | undefined>, z.ZodEffects<z.ZodObject<{
            allow: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
            deny: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            allow: string[];
            deny: string[];
        }, {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }>, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }>, z.ZodEffects<z.ZodTuple<[z.ZodObject<{
            allow: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
            deny: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            allow: string[];
            deny: string[];
        }, {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }>, z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>], null>, {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        }, [{
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined]>]>;
        "no-missing-pkg-files": z.ZodUnion<[z.ZodEffects<z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>, {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        }, "error" | "warn" | "off" | undefined>, z.ZodEffects<z.ZodObject<{
            bin: z.ZodDefault<z.ZodBoolean>;
            browser: z.ZodDefault<z.ZodBoolean>;
            types: z.ZodDefault<z.ZodBoolean>;
            unpkg: z.ZodDefault<z.ZodBoolean>;
            module: z.ZodDefault<z.ZodBoolean>;
            fields: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            bin: boolean;
            browser: boolean;
            types: boolean;
            unpkg: boolean;
            module: boolean;
            fields: string[];
        }, {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }>, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }>, z.ZodEffects<z.ZodTuple<[z.ZodObject<{
            bin: z.ZodDefault<z.ZodBoolean>;
            browser: z.ZodDefault<z.ZodBoolean>;
            types: z.ZodDefault<z.ZodBoolean>;
            unpkg: z.ZodDefault<z.ZodBoolean>;
            module: z.ZodDefault<z.ZodBoolean>;
            fields: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            bin: boolean;
            browser: boolean;
            types: boolean;
            unpkg: boolean;
            module: boolean;
            fields: string[];
        }, {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }>, z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>], null>, {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        }, [{
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined]>]>;
        "no-missing-entry-point": z.ZodUnion<[z.ZodEffects<z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, "error" | "warn" | "off" | undefined>, z.ZodEffects<z.ZodAny, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, any>, z.ZodEffects<z.ZodTuple<[z.ZodAny, z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>], null>, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, [any, "error" | "warn" | "off" | undefined]>]>;
        "no-missing-exports": z.ZodUnion<[z.ZodEffects<z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>, {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        }, "error" | "warn" | "off" | undefined>, z.ZodEffects<z.ZodObject<{
            types: z.ZodDefault<z.ZodBoolean>;
            require: z.ZodDefault<z.ZodBoolean>;
            import: z.ZodDefault<z.ZodBoolean>;
            order: z.ZodDefault<z.ZodBoolean>;
            glob: z.ZodDefault<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            types: boolean;
            require: boolean;
            import: boolean;
            order: boolean;
            glob: boolean;
        }, {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }>, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }>, z.ZodEffects<z.ZodTuple<[z.ZodObject<{
            types: z.ZodDefault<z.ZodBoolean>;
            require: z.ZodDefault<z.ZodBoolean>;
            import: z.ZodDefault<z.ZodBoolean>;
            order: z.ZodDefault<z.ZodBoolean>;
            glob: z.ZodDefault<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            types: boolean;
            require: boolean;
            import: boolean;
            order: boolean;
            glob: boolean;
        }, {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }>, z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>], null>, {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        }, [{
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }, "error" | "warn" | "off" | undefined]>]>;
    }, "strip", z.ZodTypeAny, {
        "no-banned-files": ({
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | undefined);
        "no-missing-pkg-files": ({
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | undefined);
        "no-missing-entry-point": ({
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        }) & ({
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | undefined);
        "no-missing-exports": ({
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | undefined);
    }, {
        "no-banned-files"?: "error" | "warn" | "off" | {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        } | [{
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
        "no-missing-pkg-files"?: "error" | "warn" | "off" | {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        } | [{
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
        "no-missing-entry-point"?: any;
        "no-missing-exports"?: "error" | "warn" | "off" | {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        } | [{
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    json: boolean;
    script: string[];
    all: boolean;
    add: string[];
    bail: boolean;
    includeRoot: boolean;
    linger: boolean;
    verbose: boolean;
    workspace: string[];
    pm: string[];
    scripts: string[];
    loose: boolean;
    checks: boolean;
    rules: {
        "no-banned-files": ({
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | undefined);
        "no-missing-pkg-files": ({
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | undefined);
        "no-missing-entry-point": ({
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        }) & ({
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | undefined);
        "no-missing-exports": ({
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | undefined);
    };
}, {
    add?: string | string[] | undefined;
    all?: boolean | undefined;
    bail?: boolean | undefined;
    includeRoot?: boolean | undefined;
    json?: boolean | undefined;
    linger?: boolean | undefined;
    verbose?: boolean | undefined;
    workspace?: string | string[] | undefined;
    pm?: string | string[] | undefined;
    script?: string | string[] | undefined;
    scripts?: string | string[] | undefined;
    loose?: boolean | undefined;
    checks?: boolean | undefined;
    rules?: {
        "no-banned-files"?: "error" | "warn" | "off" | {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        } | [{
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
        "no-missing-pkg-files"?: "error" | "warn" | "off" | {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        } | [{
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
        "no-missing-entry-point"?: any;
        "no-missing-exports"?: "error" | "warn" | "off" | {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        } | [{
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
    } | undefined;
}>;
/**
 * @internal
 */
export declare const zSmokerOptions: z.ZodReadonly<z.ZodBranded<z.ZodEffects<z.ZodObject<{
    add: z.ZodEffects<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>, string[], string | string[] | undefined>;
    all: z.ZodDefault<z.ZodBoolean>;
    bail: z.ZodDefault<z.ZodBoolean>;
    includeRoot: z.ZodDefault<z.ZodBoolean>;
    json: z.ZodDefault<z.ZodBoolean>;
    linger: z.ZodDefault<z.ZodBoolean>;
    verbose: z.ZodDefault<z.ZodBoolean>;
    workspace: z.ZodEffects<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>, string[], string | string[] | undefined>;
    pm: z.ZodDefault<z.ZodEffects<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>, string[], string | string[] | undefined>>;
    script: z.ZodEffects<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>, string[], string | string[] | undefined>;
    scripts: z.ZodEffects<z.ZodDefault<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>, string[], string | string[] | undefined>;
    loose: z.ZodDefault<z.ZodBoolean>;
    checks: z.ZodDefault<z.ZodBoolean>;
    rules: z.ZodDefault<z.ZodObject<{
        "no-banned-files": z.ZodUnion<[z.ZodEffects<z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>, {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        }, "error" | "warn" | "off" | undefined>, z.ZodEffects<z.ZodObject<{
            allow: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
            deny: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            allow: string[];
            deny: string[];
        }, {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }>, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }>, z.ZodEffects<z.ZodTuple<[z.ZodObject<{
            allow: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
            deny: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            allow: string[];
            deny: string[];
        }, {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }>, z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>], null>, {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        }, [{
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined]>]>;
        "no-missing-pkg-files": z.ZodUnion<[z.ZodEffects<z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>, {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        }, "error" | "warn" | "off" | undefined>, z.ZodEffects<z.ZodObject<{
            bin: z.ZodDefault<z.ZodBoolean>;
            browser: z.ZodDefault<z.ZodBoolean>;
            types: z.ZodDefault<z.ZodBoolean>;
            unpkg: z.ZodDefault<z.ZodBoolean>;
            module: z.ZodDefault<z.ZodBoolean>;
            fields: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            bin: boolean;
            browser: boolean;
            types: boolean;
            unpkg: boolean;
            module: boolean;
            fields: string[];
        }, {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }>, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }>, z.ZodEffects<z.ZodTuple<[z.ZodObject<{
            bin: z.ZodDefault<z.ZodBoolean>;
            browser: z.ZodDefault<z.ZodBoolean>;
            types: z.ZodDefault<z.ZodBoolean>;
            unpkg: z.ZodDefault<z.ZodBoolean>;
            module: z.ZodDefault<z.ZodBoolean>;
            fields: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            bin: boolean;
            browser: boolean;
            types: boolean;
            unpkg: boolean;
            module: boolean;
            fields: string[];
        }, {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }>, z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>], null>, {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        }, [{
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined]>]>;
        "no-missing-entry-point": z.ZodUnion<[z.ZodEffects<z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, "error" | "warn" | "off" | undefined>, z.ZodEffects<z.ZodAny, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, any>, z.ZodEffects<z.ZodTuple<[z.ZodAny, z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>], null>, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, [any, "error" | "warn" | "off" | undefined]>]>;
        "no-missing-exports": z.ZodUnion<[z.ZodEffects<z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>, {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        }, "error" | "warn" | "off" | undefined>, z.ZodEffects<z.ZodObject<{
            types: z.ZodDefault<z.ZodBoolean>;
            require: z.ZodDefault<z.ZodBoolean>;
            import: z.ZodDefault<z.ZodBoolean>;
            order: z.ZodDefault<z.ZodBoolean>;
            glob: z.ZodDefault<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            types: boolean;
            require: boolean;
            import: boolean;
            order: boolean;
            glob: boolean;
        }, {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }>, {
            severity: "error" | "warn" | "off";
            opts: any;
        }, {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }>, z.ZodEffects<z.ZodTuple<[z.ZodObject<{
            types: z.ZodDefault<z.ZodBoolean>;
            require: z.ZodDefault<z.ZodBoolean>;
            import: z.ZodDefault<z.ZodBoolean>;
            order: z.ZodDefault<z.ZodBoolean>;
            glob: z.ZodDefault<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            types: boolean;
            require: boolean;
            import: boolean;
            order: boolean;
            glob: boolean;
        }, {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }>, z.ZodDefault<z.ZodDefault<z.ZodEnum<["off", "warn", "error"]>>>], null>, {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        }, [{
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }, "error" | "warn" | "off" | undefined]>]>;
    }, "strip", z.ZodTypeAny, {
        "no-banned-files": ({
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | undefined);
        "no-missing-pkg-files": ({
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | undefined);
        "no-missing-entry-point": ({
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        }) & ({
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | undefined);
        "no-missing-exports": ({
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | undefined);
    }, {
        "no-banned-files"?: "error" | "warn" | "off" | {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        } | [{
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
        "no-missing-pkg-files"?: "error" | "warn" | "off" | {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        } | [{
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
        "no-missing-entry-point"?: any;
        "no-missing-exports"?: "error" | "warn" | "off" | {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        } | [{
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    json: boolean;
    script: string[];
    all: boolean;
    add: string[];
    bail: boolean;
    includeRoot: boolean;
    linger: boolean;
    verbose: boolean;
    workspace: string[];
    pm: string[];
    scripts: string[];
    loose: boolean;
    checks: boolean;
    rules: {
        "no-banned-files": ({
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | undefined);
        "no-missing-pkg-files": ({
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | undefined);
        "no-missing-entry-point": ({
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        }) & ({
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | undefined);
        "no-missing-exports": ({
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | undefined);
    };
}, {
    add?: string | string[] | undefined;
    all?: boolean | undefined;
    bail?: boolean | undefined;
    includeRoot?: boolean | undefined;
    json?: boolean | undefined;
    linger?: boolean | undefined;
    verbose?: boolean | undefined;
    workspace?: string | string[] | undefined;
    pm?: string | string[] | undefined;
    script?: string | string[] | undefined;
    scripts?: string | string[] | undefined;
    loose?: boolean | undefined;
    checks?: boolean | undefined;
    rules?: {
        "no-banned-files"?: "error" | "warn" | "off" | {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        } | [{
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
        "no-missing-pkg-files"?: "error" | "warn" | "off" | {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        } | [{
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
        "no-missing-entry-point"?: any;
        "no-missing-exports"?: "error" | "warn" | "off" | {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        } | [{
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
    } | undefined;
}>, {
    script: string[];
    json: boolean;
    all: boolean;
    add: string[];
    bail: boolean;
    includeRoot: boolean;
    linger: boolean;
    verbose: boolean;
    workspace: string[];
    pm: string[];
    scripts: string[];
    loose: boolean;
    checks: boolean;
    rules: {
        "no-banned-files": ({
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                allow: string[];
                deny: string[];
            };
        } | undefined);
        "no-missing-pkg-files": ({
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                bin: boolean;
                browser: boolean;
                types: boolean;
                unpkg: boolean;
                module: boolean;
                fields: string[];
            };
        } | undefined);
        "no-missing-entry-point": ({
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        }) & ({
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | undefined);
        "no-missing-exports": ({
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        }) & ({
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | {
            severity: "error" | "warn" | "off";
            opts: any;
        } | {
            severity: "error" | "warn" | "off";
            opts: {
                types: boolean;
                require: boolean;
                import: boolean;
                order: boolean;
                glob: boolean;
            };
        } | undefined);
    };
}, {
    add?: string | string[] | undefined;
    all?: boolean | undefined;
    bail?: boolean | undefined;
    includeRoot?: boolean | undefined;
    json?: boolean | undefined;
    linger?: boolean | undefined;
    verbose?: boolean | undefined;
    workspace?: string | string[] | undefined;
    pm?: string | string[] | undefined;
    script?: string | string[] | undefined;
    scripts?: string | string[] | undefined;
    loose?: boolean | undefined;
    checks?: boolean | undefined;
    rules?: {
        "no-banned-files"?: "error" | "warn" | "off" | {
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        } | [{
            allow?: string[] | undefined;
            deny?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
        "no-missing-pkg-files"?: "error" | "warn" | "off" | {
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        } | [{
            bin?: boolean | undefined;
            browser?: boolean | undefined;
            types?: boolean | undefined;
            unpkg?: boolean | undefined;
            module?: boolean | undefined;
            fields?: string[] | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
        "no-missing-entry-point"?: any;
        "no-missing-exports"?: "error" | "warn" | "off" | {
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        } | [{
            types?: boolean | undefined;
            require?: boolean | undefined;
            import?: boolean | undefined;
            order?: boolean | undefined;
            glob?: boolean | undefined;
        }, "error" | "warn" | "off" | undefined] | undefined;
    } | undefined;
}>, "SmokerOptions">>;
/**
 * Options for `Smoker` as provided by a user
 */
export type RawSmokerOptions = z.input<typeof zSmokerOptions>;
/**
 * Normalized options for `Smoker`.
 */
export type SmokerOptions = z.output<typeof zSmokerOptions>;
/**
 * Parses options for `Smoker`.
 *
 * @param opts Options for `Smoker`. Could come from CLI, config file, API, or some combination thereof.
 * @returns Parsed & normalized options.
 */
export declare function parseOptions(opts?: RawSmokerOptions | SmokerOptions): SmokerOptions;
export declare namespace parseOptions {
    var cache: Map<{
        add?: string | string[] | undefined;
        all?: boolean | undefined;
        bail?: boolean | undefined;
        includeRoot?: boolean | undefined;
        json?: boolean | undefined;
        linger?: boolean | undefined;
        verbose?: boolean | undefined;
        workspace?: string | string[] | undefined;
        pm?: string | string[] | undefined;
        script?: string | string[] | undefined;
        scripts?: string | string[] | undefined;
        loose?: boolean | undefined;
        checks?: boolean | undefined;
        rules?: {
            "no-banned-files"?: "error" | "warn" | "off" | {
                allow?: string[] | undefined;
                deny?: string[] | undefined;
            } | [{
                allow?: string[] | undefined;
                deny?: string[] | undefined;
            }, "error" | "warn" | "off" | undefined] | undefined;
            "no-missing-pkg-files"?: "error" | "warn" | "off" | {
                bin?: boolean | undefined;
                browser?: boolean | undefined;
                types?: boolean | undefined;
                unpkg?: boolean | undefined;
                module?: boolean | undefined;
                fields?: string[] | undefined;
            } | [{
                bin?: boolean | undefined;
                browser?: boolean | undefined;
                types?: boolean | undefined;
                unpkg?: boolean | undefined;
                module?: boolean | undefined;
                fields?: string[] | undefined;
            }, "error" | "warn" | "off" | undefined] | undefined;
            "no-missing-entry-point"?: any;
            "no-missing-exports"?: "error" | "warn" | "off" | {
                types?: boolean | undefined;
                require?: boolean | undefined;
                import?: boolean | undefined;
                order?: boolean | undefined;
                glob?: boolean | undefined;
            } | [{
                types?: boolean | undefined;
                require?: boolean | undefined;
                import?: boolean | undefined;
                order?: boolean | undefined;
                glob?: boolean | undefined;
            }, "error" | "warn" | "off" | undefined] | undefined;
        } | undefined;
    } | Readonly<{
        script: string[];
        json: boolean;
        all: boolean;
        add: string[];
        bail: boolean;
        includeRoot: boolean;
        linger: boolean;
        verbose: boolean;
        workspace: string[];
        pm: string[];
        scripts: string[];
        loose: boolean;
        checks: boolean;
        rules: {
            "no-banned-files": ({
                severity: "error" | "warn" | "off";
                opts: {
                    allow: string[];
                    deny: string[];
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    allow: string[];
                    deny: string[];
                };
            }) & ({
                severity: "error" | "warn" | "off";
                opts: {
                    allow: string[];
                    deny: string[];
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    allow: string[];
                    deny: string[];
                };
            } | undefined);
            "no-missing-pkg-files": ({
                severity: "error" | "warn" | "off";
                opts: {
                    bin: boolean;
                    browser: boolean;
                    types: boolean;
                    unpkg: boolean;
                    module: boolean;
                    fields: string[];
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    bin: boolean;
                    browser: boolean;
                    types: boolean;
                    unpkg: boolean;
                    module: boolean;
                    fields: string[];
                };
            }) & ({
                severity: "error" | "warn" | "off";
                opts: {
                    bin: boolean;
                    browser: boolean;
                    types: boolean;
                    unpkg: boolean;
                    module: boolean;
                    fields: string[];
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    bin: boolean;
                    browser: boolean;
                    types: boolean;
                    unpkg: boolean;
                    module: boolean;
                    fields: string[];
                };
            } | undefined);
            "no-missing-entry-point": ({
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            }) & ({
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | undefined);
            "no-missing-exports": ({
                severity: "error" | "warn" | "off";
                opts: {
                    types: boolean;
                    require: boolean;
                    import: boolean;
                    order: boolean;
                    glob: boolean;
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    types: boolean;
                    require: boolean;
                    import: boolean;
                    order: boolean;
                    glob: boolean;
                };
            }) & ({
                severity: "error" | "warn" | "off";
                opts: {
                    types: boolean;
                    require: boolean;
                    import: boolean;
                    order: boolean;
                    glob: boolean;
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    types: boolean;
                    require: boolean;
                    import: boolean;
                    order: boolean;
                    glob: boolean;
                };
            } | undefined);
        };
    } & z.BRAND<"SmokerOptions">> | undefined, Readonly<{
        script: string[];
        json: boolean;
        all: boolean;
        add: string[];
        bail: boolean;
        includeRoot: boolean;
        linger: boolean;
        verbose: boolean;
        workspace: string[];
        pm: string[];
        scripts: string[];
        loose: boolean;
        checks: boolean;
        rules: {
            "no-banned-files": ({
                severity: "error" | "warn" | "off";
                opts: {
                    allow: string[];
                    deny: string[];
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    allow: string[];
                    deny: string[];
                };
            }) & ({
                severity: "error" | "warn" | "off";
                opts: {
                    allow: string[];
                    deny: string[];
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    allow: string[];
                    deny: string[];
                };
            } | undefined);
            "no-missing-pkg-files": ({
                severity: "error" | "warn" | "off";
                opts: {
                    bin: boolean;
                    browser: boolean;
                    types: boolean;
                    unpkg: boolean;
                    module: boolean;
                    fields: string[];
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    bin: boolean;
                    browser: boolean;
                    types: boolean;
                    unpkg: boolean;
                    module: boolean;
                    fields: string[];
                };
            }) & ({
                severity: "error" | "warn" | "off";
                opts: {
                    bin: boolean;
                    browser: boolean;
                    types: boolean;
                    unpkg: boolean;
                    module: boolean;
                    fields: string[];
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    bin: boolean;
                    browser: boolean;
                    types: boolean;
                    unpkg: boolean;
                    module: boolean;
                    fields: string[];
                };
            } | undefined);
            "no-missing-entry-point": ({
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            }) & ({
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | undefined);
            "no-missing-exports": ({
                severity: "error" | "warn" | "off";
                opts: {
                    types: boolean;
                    require: boolean;
                    import: boolean;
                    order: boolean;
                    glob: boolean;
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    types: boolean;
                    require: boolean;
                    import: boolean;
                    order: boolean;
                    glob: boolean;
                };
            }) & ({
                severity: "error" | "warn" | "off";
                opts: {
                    types: boolean;
                    require: boolean;
                    import: boolean;
                    order: boolean;
                    glob: boolean;
                };
            } | {
                severity: "error" | "warn" | "off";
                opts: any;
            } | {
                severity: "error" | "warn" | "off";
                opts: {
                    types: boolean;
                    require: boolean;
                    import: boolean;
                    order: boolean;
                    glob: boolean;
                };
            } | undefined);
        };
    } & z.BRAND<"SmokerOptions">>>;
}
//# sourceMappingURL=options.d.ts.map