import { type Options as ExecaOptions } from 'execa';
import type { ExecOpts, ExecResult, Executor } from './executor';
/**
 * An {@linkcode Executor} which executes `corepack`.
 *
 * @see {@link https://github.com/nodejs/corepack}
 */
export declare class CorepackExecutor implements Executor {
    private readonly pmId;
    protected readonly corepackPath: string;
    /**
     * @param pmId The package manager ID (`<npm|yarn|pnpm>@<version>`) to use as the first argument to `corepack`.
     */
    constructor(pmId: string);
    exec(args: string[], execaOpts?: ExecaOptions, execOpts?: ExecOpts): Promise<ExecResult>;
}
//# sourceMappingURL=corepack.d.ts.map