import createDebug from 'debug';
import type { InstallManifest, RunManifest, RunScriptResult } from '../types';
import { CorepackExecutor } from './corepack';
import type { InstallOpts, InstallResult, PackOpts, PackageManager, PackageManagerOpts } from './pm';
export declare abstract class GenericNpmPackageManager implements PackageManager {
    protected readonly executor: CorepackExecutor;
    protected readonly opts: PackageManagerOpts;
    protected abstract debug: createDebug.Debugger;
    readonly name = "npm";
    constructor(executor: CorepackExecutor, opts: PackageManagerOpts);
    abstract install(manifest: InstallManifest, opts?: InstallOpts | undefined): Promise<InstallResult>;
    abstract pack(dest: string, opts?: PackOpts | undefined): Promise<InstallManifest>;
    runScript(manifest: RunManifest): Promise<RunScriptResult>;
}
//# sourceMappingURL=npm.d.ts.map