import type { SemVer } from 'semver';
import type { InstallManifest } from '../types';
import type { CorepackExecutor } from './corepack';
import { Npm7 } from './npm7';
import type { InstallResult, PackageManager, PackageManagerOpts } from './pm';
/**
 * Type of item in the {@linkcode NpmPackItem.files} array.
 * @internal
 */
export interface NpmPackItemFileEntry {
    mode: number;
    path: string;
    size: number;
}
/**
 * JSON output of `npm pack`
 * @internal
 */
export interface NpmPackItem {
    bundled: any[];
    entryCount: number;
    filename: string;
    files: NpmPackItemFileEntry[];
    id: string;
    integrity: string;
    name: string;
    shasum: string;
    size: number;
    unpackedSize: number;
    version: string;
}
export declare class Npm9 extends Npm7 implements PackageManager {
    static readonly bin = "npm";
    readonly name = "npm";
    constructor(executor: CorepackExecutor, opts?: PackageManagerOpts);
    static accepts(semver: SemVer): boolean;
    static load(executor: CorepackExecutor, opts?: PackageManagerOpts): Npm7;
    install(manifest: InstallManifest): Promise<InstallResult>;
}
declare const _default: typeof Npm9;
export default _default;
//# sourceMappingURL=npm9.d.ts.map