import { type SemVer } from 'semver';
/**
 * Given a package manager and optionally a version (or dist tag), validate it and return the semver version.
 *
 * This exists because `corepack` expects a SemVer version and not a _range_.  Something like "8" is considered a range. This will find the latest version matching the range.
 * @param name Package manager name
 * @param version Version or dist tag
 * @returns SemVer version string
 */
export declare function normalizeVersion(name: string, version?: string): Promise<SemVer>;
//# sourceMappingURL=version.d.ts.map