import createDebug from 'debug';
import type { SemVer } from 'semver';
import type { InstallManifest, RunManifest, RunScriptResult } from '../types';
import type { CorepackExecutor } from './corepack';
import type { InstallResult, PackOpts, PackageManager, PackageManagerOpts } from './pm';
import { YarnClassic } from './yarn-classic';
export declare class YarnBerry extends YarnClassic implements PackageManager {
    protected readonly debug: createDebug.Debugger;
    readonly name = "yarn";
    constructor(executor: CorepackExecutor, opts?: PackageManagerOpts);
    static accepts(semver: SemVer): boolean;
    static load(executor: CorepackExecutor, opts?: PackageManagerOpts): YarnBerry;
    install(manifest: InstallManifest): Promise<InstallResult>;
    pack(dest: string, opts?: PackOpts): Promise<InstallManifest>;
    runScript(manifest: RunManifest): Promise<RunScriptResult>;
}
declare const _default: typeof YarnBerry;
export default _default;
//# sourceMappingURL=yarn-berry.d.ts.map