import createDebug from 'debug';
import type { SemVer } from 'semver';
import type { InstallManifest, RunManifest, RunScriptResult } from '../types';
import type { CorepackExecutor } from './corepack';
import type { InstallResult, PackOpts, PackageManager, PackageManagerOpts } from './pm';
export declare class YarnClassic implements PackageManager {
    protected readonly executor: CorepackExecutor;
    protected readonly opts: PackageManagerOpts;
    protected readonly debug: createDebug.Debugger;
    static readonly bin = "yarn";
    readonly name = "yarn";
    constructor(executor: CorepackExecutor, opts?: PackageManagerOpts);
    static accepts(semver: SemVer): boolean;
    static load(executor: CorepackExecutor, opts?: PackageManagerOpts): YarnClassic;
    install(manifest: InstallManifest): Promise<InstallResult>;
    pack(dest: string, opts?: PackOpts): Promise<InstallManifest>;
    runScript(manifest: RunManifest): Promise<RunScriptResult>;
}
declare const _default: typeof YarnClassic;
export default _default;
//# sourceMappingURL=yarn-classic.d.ts.map