export declare const BuiltinRules: {
    readonly "no-missing-pkg-files": import("..").Rule<"no-missing-pkg-files", import("zod").ZodObject<{
        bin: import("zod").ZodDefault<import("zod").ZodBoolean>;
        browser: import("zod").ZodDefault<import("zod").ZodBoolean>;
        types: import("zod").ZodDefault<import("zod").ZodBoolean>;
        unpkg: import("zod").ZodDefault<import("zod").ZodBoolean>;
        module: import("zod").ZodDefault<import("zod").ZodBoolean>;
        fields: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
    }, "strip", import("zod").ZodTypeAny, {
        bin: boolean;
        browser: boolean;
        types: boolean;
        unpkg: boolean;
        module: boolean;
        fields: string[];
    }, {
        bin?: boolean | undefined;
        browser?: boolean | undefined;
        types?: boolean | undefined;
        unpkg?: boolean | undefined;
        module?: boolean | undefined;
        fields?: string[] | undefined;
    }>>;
    readonly "no-banned-files": import("..").Rule<"no-banned-files", import("zod").ZodObject<{
        allow: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
        deny: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
    }, "strip", import("zod").ZodTypeAny, {
        allow: string[];
        deny: string[];
    }, {
        allow?: string[] | undefined;
        deny?: string[] | undefined;
    }>>;
    readonly "no-missing-entry-point": import("..").Rule<"no-missing-entry-point", import("zod").ZodAny>;
    readonly "no-missing-exports": import("..").Rule<"no-missing-exports", import("zod").ZodObject<{
        types: import("zod").ZodDefault<import("zod").ZodBoolean>;
        require: import("zod").ZodDefault<import("zod").ZodBoolean>;
        import: import("zod").ZodDefault<import("zod").ZodBoolean>;
        order: import("zod").ZodDefault<import("zod").ZodBoolean>;
        glob: import("zod").ZodDefault<import("zod").ZodBoolean>;
    }, "strip", import("zod").ZodTypeAny, {
        types: boolean;
        require: boolean;
        import: boolean;
        order: boolean;
        glob: boolean;
    }, {
        types?: boolean | undefined;
        require?: boolean | undefined;
        import?: boolean | undefined;
        order?: boolean | undefined;
        glob?: boolean | undefined;
    }>>;
};
export declare const BuiltinRuleConts: (<R>(cont: <const Name extends string, Schema extends import("zod").ZodTypeAny = import("zod").ZodTypeAny>(rule: import("..").Rule<Name, Schema>) => R) => R)[];
//# sourceMappingURL=index.d.ts.map