/**
 * `no-banned-files` checks for banned files in the package.
 *
 * Portions of this adapted from [ban-sensitive-files](https://github.com/bahmutov/ban-sensitive-files), including `git-deny-patterns.json` and {@linkcode reToRegExp}.
 * @module
 */
import { z } from 'zod';
declare const noBannedFiles: import("../rule").Rule<"no-banned-files", z.ZodObject<{
    allow: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    deny: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    allow: string[];
    deny: string[];
}, {
    allow?: string[] | undefined;
    deny?: string[] | undefined;
}>>;
export default noBannedFiles;
//# sourceMappingURL=no-banned-files.d.ts.map