"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.zCheckOptions = exports.DEFAULT_CHECK_OPTIONS = void 0;
const zod_1 = require("zod");
const no_banned_files_1 = __importDefault(require("./builtin/no-banned-files"));
const no_missing_entry_point_1 = __importDefault(require("./builtin/no-missing-entry-point"));
const no_missing_exports_1 = __importDefault(require("./builtin/no-missing-exports"));
const no_missing_pkg_files_1 = __importDefault(require("./builtin/no-missing-pkg-files"));
/**
 * Default options for rule behavior (the `rules` prop in `SmokerOptions`).
 *
 * Dynamically created by each rule's `defaultOptions` property.
 *
 * @internal
 */
exports.DEFAULT_CHECK_OPTIONS = {
    [no_missing_pkg_files_1.default.name]: no_missing_pkg_files_1.default.defaultOptions,
    [no_banned_files_1.default.name]: no_banned_files_1.default.defaultOptions,
    [no_missing_entry_point_1.default.name]: no_missing_entry_point_1.default.defaultOptions,
    [no_missing_exports_1.default.name]: no_missing_exports_1.default.defaultOptions,
};
/**
 * @internal
 */
exports.zCheckOptions = zod_1.z
    .object({
    [no_banned_files_1.default.name]: no_banned_files_1.default.zRuleSchema,
    [no_missing_pkg_files_1.default.name]: no_missing_pkg_files_1.default.zRuleSchema,
    [no_missing_entry_point_1.default.name]: no_missing_entry_point_1.default.zRuleSchema,
    [no_missing_exports_1.default.name]: no_missing_exports_1.default.zRuleSchema,
})
    .default(exports.DEFAULT_CHECK_OPTIONS)
    .describe('Rule configuration for checks');
//# sourceMappingURL=check-options.js.map