"use strict";
/**
 * Handles severity of rules
 * @module
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.zCheckSeverity = exports.CheckSeverities = void 0;
const zod_1 = require("zod");
exports.CheckSeverities = {
    ERROR: 'error',
    WARN: 'warn',
    OFF: 'off',
};
exports.zCheckSeverity = zod_1.z
    .enum([exports.CheckSeverities.OFF, exports.CheckSeverities.WARN, exports.CheckSeverities.ERROR])
    .describe('Severity of a rule. `off` disables the rule, `warn` will warn on violations, and `error` will error on violations.')
    .default(exports.CheckSeverities.ERROR);
//# sourceMappingURL=severity.js.map