"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zNonEmptyStringArray = exports.zStringOrArray = exports.zTrue = exports.zFalse = exports.zString = void 0;
const util_1 = require("./util");
const zod_1 = require("zod");
exports.zString = zod_1.z.string().min(1).trim();
exports.zFalse = zod_1.z.boolean().default(false);
exports.zTrue = zod_1.z.boolean().default(true);
exports.zStringOrArray = zod_1.z
    .union([exports.zString, zod_1.z.array(exports.zString)])
    .default([])
    .transform(util_1.castArray);
/**
 * Schema representing an array of non-empty strings.
 *
 * _**Not** a non-empty array of strings_.
 */
exports.zNonEmptyStringArray = zod_1.z.array(exports.zString).default([]);
//# sourceMappingURL=schema-util.js.map